import java.awt.Graphics;
import java.applet.Applet;

public class fibonachitesti1 extends Applet
{
   public void paint(Graphics g)
   {
   int y=25;
   for(long i=0;i<=15;i++)
     {
     g.drawString("Fibonachi("+i+") = "+fibonachi(i),25,y);
     y+=15;
     }
   }

   public long fibonachi(long sayi)
   {
     if(sayi <=0) return 0;
     else if(sayi ==1) return 1;
     else return fibonachi(sayi - 1)+fibonachi(sayi - 2);
   }

}

